org.jboss.netty.handler.codec.http.multipart

## Interface InterfaceHttpData

All Superinterfaces:
  Comparable<InterfaceHttpData>

All Known Subinterfaces:
  Attribute, FileUpload, HttpData

All Known Implementing Classes:
  AbstractDiskHttpData, AbstractHttpData, AbstractMemoryHttpData, DiskAttribute, DiskFileUpload, InternalAttribute, MemoryAttribute, MemoryFileUpload, MixedAttribute, MixedFileUpload

    public interface InterfaceHttpData
    extends Comparable<InterfaceHttpData>

Interface for all Objects that could be encoded/decoded using HttpPostRequestEncoder/Decoder

### Nested Class Summary

Nested Classes
`static class` `InterfaceHttpData.HttpDataType`

### Method Summary

Methods
`InterfaceHttpData.HttpDataType` `getHttpDataType()`
`String` `getName()` Returns the name of this InterfaceHttpData.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getName

    String getName()

Returns the name of this InterfaceHttpData.

#### getHttpDataType

    InterfaceHttpData.HttpDataType getHttpDataType()

Returns:
  The HttpDataType